



<!DOCTYPE html><html lang=zh-CN><head><meta http-equiv="Content-Type" content="text/html; charset=utf-8" /><meta http-equiv="X-UA-Compatible" content="IE=edge,chrome=1"><meta name="applicable-device" content="pc,mobile"><meta name="renderer" content="webkit"><meta name="viewport" content="width=device-width,initial-scale=1.0,maximum-scale=5,viewport-fit=cover">
<title>XML的SelectNodes使用方法以及XPath</title>	
<script src="//n4.ikafan.com/assets/run_prettify.js?ac"></script>
<link rel="stylesheet" href="//n4.ikafan.com/assetsg/style.css">
<!-- <link rel="stylesheet" href="//pic.ikafan.com/staticx/shuzhiduo/1/css.grace/fontello.css?ac"> -->
<!-- <link rel="stylesheet" href="//pic.ikafan.com/staticx/shuzhiduo/1/css.grace/animation.css?ac"> -->
<script>
var _hmt = _hmt || [];
(function() {
  var hm = document.createElement("script");
  hm.src = "https://hm.baidu.com/hm.js?c61d51e9fdcf1d1631ddfce8df9cd119";
  var s = document.getElementsByTagName("script")[0]; 
  s.parentNode.insertBefore(hm, s);
})();
</script>
<script src="https://n4.ikafan.com/g/show.js"></script>

</head>
<div id="header" class="navbar navbar-default navbar-fixed-top header-01">
	<div class="container">
		<h1 class="logo">
			<a  href="/" title="巴特西"/>
							巴特西
			</a>
		</h1>
				<div role="navigation"  class="site-nav  primary-menu">
			<div class="menu-fix-box">
				 <ul id="menu-navigation" class="menu" >
<li><a href="/">首页</a></li>
<!-- <li><a href="/search/Hadoop/">Hadoop</a></li>
<li><a href="/search/Linux/">Linux</a></li>
<li><a href="/search/jQuery/">jQuery</a></li> -->
<li><a href="/search/Python/">Python</a></li>
<li><a href="/search/Java/">Java</a></li>
<li><a href="/search/PHP/">PHP</a></li>
<li><a href="/search/IOS/">IOS</a></li>
<li><a href="/search/Andorid/">Andorid</a></li>
<li><a href="/search/NodeJS/">NodeJS</a></li>
<li><a href="/search/JavaScript/">JavaScript</a></li>
<li><a href="/search/HTML5/">HTML5</a></li>
				</ul>					 			
			</div>
		</div>
				<!--<div class="right-nav">
				<button class="js-toggle-search"><i class="icon-search"></i></button>
		</div>-->
       
			</div>	
</div>

<div id="page-content">
	<div class="container">
		<div class="row">
			
			<div class="blog-post">
								<!--<div class="posts-top-cjtz clearfix"></div>-->
								<div class="post">
										<div class="post-title">
											<div id="title_top"></div>
<script>insertAdIfNeeded();</script>
						<h1 class="title">XML的SelectNodes使用方法以及XPath</h1>
						<div class="post_icon">
							<span class="icon-clock-1"> 2024-02-03 05:35:53 </span>
						</div>
										<div class="post-content">
													<div id="single_top"></div>
<script>insertAdIfNeeded();</script>
											
		<p>XPath 是 XML 的内容，这里 SelectNodes 是 C# 中&nbsp;XmlDocument 或 XmlNode 的一个方法。SelectNodes 使用 XPath 来选取节点。</p>
<p>重要语法</p>
<p>SelectNodes("item")</p>
<p>从当前节点的儿子节点中选择名称为 item 的节点。</p>
<p>SelectNodes("/item")</p>
<p>从根节点的儿子节点中选择名称为 item 的节点。</p>
<p>SelectNodes("//item")</p>
<p>从任意位置的节点上选择名称为 item 的节点。要重点突出这个任意位置，它不受当前节点的影响，也就是说假如当前节点是在第 100 层（有点夸张），也可以选择第一层的名称为 item 的节点。</p>
<p>SelectNodes(".")</p>
<p>选择当前节点。</p>
<p>SelectNodes("..")</p>
<p>选择当前节点的父节点。</p>
<p>SelectNodes("//item[@name]")</p>
<p>在 SelectNodes("//item") 的基础上，增加了一个限制，就是要求拥有 name 属性。</p>
<p>SelectNodes("//item[@name='111']")</p>
<p>在 SelectNodes("//item[@name]") 的基础上，增加了一个限制，就是要求 name 属性值为 111。注意语法中有引号；如果没有引号，则表示是数字类型，对于数字类型可以使用大于号、小于号等，比如：SelectNodes("//item[@v&gt;333]")。</p>
<p>SelectNodes("//item[1]")</p>
<p>选择第一个 item，注意是第一个，不是第二个。</p>
<p>还有这里是指亲兄弟间的第一个 item，也就是说：父级若有三个 item，则选择第一个；若父级第二个 item 的有两个名称同样为 item 的儿子，则第一个儿子会被选择出来；若父级第三个 item 的也有两个名称同样为 item 的儿子，则第一个儿子也会被选择出来&hellip;&hellip;</p>
<p>SelectNodes("//item[last()-1]")</p>
<p>倒数第二个节点，同样是指亲兄弟间的倒数第二个。</p>
<p>SelectNodes("//item[position()&lt;=2]")</p>
<p>位置为第一和第二的节点（第一个节点的 position() 为 1），同样是指亲兄弟间的位置。</p>
<p>SelectNodes("//@name")</p>
<p>SelectNodes("/root/item/@name") 取 item 的 name 属性</p>
<p>选择 name 属性，注意这下选择的是属性，而不是节点了。用 Value 属性获取属性集合的属性值。</p>
<p>SelectNodes("/root/item")</p>
<p>根节点 root 下的 item 儿子节点。</p>
<p>SelectNodes("/root//item")</p>
<p>根节点 root 下的不管是儿子、孙子、重孙子&hellip;&hellip;，只要是名称为 item 的统统选取出来。</p>
<p>通配符</p>
<ul><li>可用 * 表示任意节点名称，比如 SelectNodes("/channel/*/item")；</li>
<li>用 @* 表示任意属性；</li>
<li>用 node() 表示任意类型的节点；</li>
<li>用 text() 表示文本类型的节点，实际上也就是表示取文本节点（元素节点下面是文本节点，文本节点下面才是文字）。</li></ul>
<p>运算符| 表示或。SelectNodes("//item|//channel")，选择 item 或 channel 节点。</p>
<p>转自：http://blog.csdn.net/eric_guodongliang/article/details/7187880</p>												<div id="single_bottom"></div>
<script>insertAdIfNeeded();</script>
																
<h2>最新文章</h2>	
<ol>
						<li><a href="https://www.batexi.com/a/o8kodj7q.html">iptables详解</a>
		</li>
						<li><a href="https://www.batexi.com/a/o8ovllpq.html">JDBC基础与连接sql2012</a>
		</li>
						<li><a href="https://www.batexi.com/a/o8kr745q.html">20个基于 WordPress 搭建的精美网站</a>
		</li>
						<li><a href="https://www.batexi.com/a/m8zxnd1q.html">初学java注解编程 记录错误及解决办法</a>
		</li>
						<li><a href="https://www.batexi.com/a/r9317nz8.html">yii 基础版用rbac-plus</a>
		</li>
						<li><a href="https://www.batexi.com/a/o8o7jvlq.html">Ubuntu 14&period;04&period;2 x64 安装tomcat服务器傻瓜教程</a>
		</li>
						<li><a href="https://www.batexi.com/a/9gm1nr79.html">【转载】&period;NET面试题系列&lbrack;0&rsqb; - 写在前面</a>
		</li>
						<li><a href="https://www.batexi.com/a/95xz0j08.html">iOS &OpenCurlyDoubleQuote;获取验证码&rdquo;按钮的倒计时功能</a>
		</li>
						<li><a href="https://www.batexi.com/a/9ge1kre8.html">将树莓派变成一个web服务器&lpar;2&rpar;：Nginx&plus;Flask&plus;uWSGI部署全过程</a>
		</li>
						<li><a href="https://www.batexi.com/a/9rgywmr8.html">【Xilinx-ZYNQ ucos-iii的移植与开发】-00-开始</a>
		</li>
						<li><a href="https://www.batexi.com/a/q7ox70g8.html">WindowsService（Windows服务）开发步骤</a>
		</li>
						<li><a href="https://www.batexi.com/a/9r5104mq.html">子串 &lbrack;NOIP2015&rsqb;</a>
		</li>
						<li><a href="https://www.batexi.com/a/qwvzr3k8.html">Tests for Variances</a>
		</li>
						<li><a href="https://www.batexi.com/a/9j16g4l9.html">SimpleCaptcha生成图片验证码内容为乱码</a>
		</li>
						<li><a href="https://www.batexi.com/a/9gjy5j09.html">网龙&OpenCurlyDoubleQuote;MAD技术论坛&rdquo;在榕举办 200余位技术人才共话&OpenCurlyDoubleQuote;改变教育&rdquo;</a>
		</li>
						<li><a href="https://www.batexi.com/a/90rx2mo9.html">redis&lowbar;bj&lowbar;01</a>
		</li>
						<li><a href="https://www.batexi.com/a/q1vrzl0q.html">hibernate调用mysql存储过程</a>
		</li>
						<li><a href="https://www.batexi.com/a/qnng5egq.html">jQuery基础（样式篇，DOM对象，选择器，属性样式）</a>
		</li>
						<li><a href="https://www.batexi.com/a/q2k607oq.html">servlet与tomcat的关系</a>
		</li>
						<li><a href="https://www.batexi.com/a/8zvk3wn9.html">关于linux&OpenCurlyQuote;RedHat6&period;9在VMware虚拟机中的安装步骤</a>
		</li>
		</ol>
	

<h2>热门文章</h2>	
<ol>
									<li><a href="https://www.batexi.com/a/90v13448.html">不用jsonp实现跨域请求</a>
			</li>
						<li><a href="https://www.batexi.com/a/qvv7yxoq.html">yii2 model常用验证规则</a>
			</li>
						<li><a href="https://www.batexi.com/a/9gmxwg49.html">PHP 向 MySql 中数据修改操作时，只对数字操作有效，非数字操作无效，怎么办？</a>
			</li>
						<li><a href="https://www.batexi.com/a/q7mjr11q.html">PHPCMS 核心代码与 www 分离部署</a>
			</li>
						<li><a href="https://www.batexi.com/a/8ok2emx9.html">DevExpress VCL 一键安装工具</a>
			</li>
						<li><a href="https://www.batexi.com/a/8z1lwmd9.html">linux正则表达式之－基础正则表达式（基于grep）</a>
			</li>
						<li><a href="https://www.batexi.com/a/93x6mdw9.html">拓展：switch实现</a>
			</li>
						<li><a href="https://www.batexi.com/a/9j0x5dwq.html">Python复杂多重排序</a>
			</li>
						<li><a href="https://www.batexi.com/a/q7mj6neq.html">上传图片&plus;浏览&plus;裁切 Demo&lpar;无后台处理部分&rpar;</a>
			</li>
						<li><a href="https://www.batexi.com/a/qwdz14l8.html">与wait for a undo record相关的系统卡死</a>
			</li>
			</ol>			
							
					</div>

					
<div class="next-prev-posts clearfix">
</div>
						 
				</div>
				
	<div class="clear"></div>

			</div>	
			

		</div>
</div>
</div>


<div class="clearfix"></div>
<div id="footer" class="two-s-footer">
	<div class="footer-box">
		<div class="container">
			<div class="row" style="padding-left: 15px;padding-right: 15px;">
			<div class="nav-footer">
				<a href="/">Home</a>
				</div>
				<div class="copyright-footer">
					<p>Powered By WordPress</p>
				</div>
							</div>
		</div>
	</div>
</div>
<div style="display:none">

</div>
<script src="//n4.ikafan.com/assets/js/echo.js"></script>
<script>
    echo.init({
      offset: 100,
      throttle: 250,
      unload: false,
      callback: function (element, op) {
        console.log(element, 'has been', op + 'ed')
      }
    });
 </script>
</body>
</html>
